"""The application's model objects"""
from mapwocgui.model.meta import Session, Base

import mapwoc.lib.model.url
import mapwoc.lib.model.result
import mapwoc.lib.model.scan
import mapwoc.lib.model.metatable
import mapwoc.lib.model.users

from mapwoc.lib.users import UserData
from mapwoc.lib.url import URL, URLList
from mapwoc.lib.result import Result, ResultType, Visit, ResultFile

def init_model(engine):
    """Call me before using any of the tables or classes in the model"""
    Session.configure(bind=engine)

