
<%inherit file="../base.mako"/>

<%def name="title()">${_(u"Manage Users")}</%def>

<%namespace file="../base.mako" import="box_start" />
<%namespace file="../base.mako" import="box_end" />

${box_start(_(u"Create New Account"))}
${h.form(h.url_for(controller='account', action='new'))}
<table>
  <tr>${h.field(_(u"Username")+"*", h.text(name="username"))}</tr>
  <tr>${h.field(_(u"Password")+"*", h.password(name="password"))}</tr>
  <tr>${h.field(_(u"Repeat Password")+"*", h.password(name="password2"))}</tr>
  <tr>${h.field(field=h.submit(value="Create Account", name='submit'))}</tr>
</table>
${h.form_end()}
${box_end()}

${box_start(_(u"Manage Users"))}
${h.form(h.url_for(controller='account', action='change_another'))}
 <table class="mw_table" style="width:100%">
  <tbody>
   <tr>
        <th>${_(u"Username")}</th>
        <th>${_(u"E-Mail")}</th>
        <th>${_(u"Privileges")}</th>
        <th>${_(u"Action")}</th>
    </tr>
    %for user in c.users:
    <tr>
        <td>${user.user_name}</td>
        <td>${user.e_mail}</td>
        <td>${h.role_for_user(user.user_name)}</td>
        <td>${h.submit(value=_(u"Modify"), name='submit_'+user.user_name)}
        ${h.submit(value=_(u"Delete"), name='delete_'+user.user_name)}
        </td>
    </tr>
    %endfor
</table>
${h.form_end()}
${box_end()}
