<%inherit file="../base.mako"/>
<%def name="title()">${_(u"Details of HoneyClient")}</%def>

<%def name="hc_menu_style()">class="active"</%def>

<%namespace file="../base.mako" import="box" />
<%namespace file="../base.mako" import="hc_icon" />

<%self:box title='${_(u"Details of %s") % c.hc.hcsid }'>
 <h3>${_("Information")}</h3>
 <table>
  %if c.hc.hctype != 'native':
    <caption>${hc_icon(c.hc)}</caption />
  %else:
    <caption><div id="os_browser_icon"><img src="/img/hc_native_mobile.png"/></div></caption />
  %endif
  <tr><td class="label">${_(u"Name")}:</td><td>${c.hc.name}</td></tr>
  <tr><td class="label">${_(u"hcsid")}:</td><td>${c.hc.hcsid}</td></tr>
  <tr><td class="label">${_(u"Description")}:</td><td>${c.hc.description}</td></tr>
  <tr><td class="label">${_(u"Type")}:</td><td>${c.hc.hctype}</td></tr>
  <tr><td class="label">${_(u"Active Browser")}:</td><td>${c.hc.active_browser}</td></tr>
  <tr><td class="label">${_(u"Operating System")}:</td><td>${c.hc.os}</td></tr>

  <tr>
    <td class="label" valign="top">${_(u"Installed Software")}:</td>
    <td>
    %if len(c.hc.installed_software):
      %for cpe in c.hc.installed_software:
        ${cpe}<br/>
      %endfor
    %else:
     ${_("No information about installed software found.")}
    %endif
    </td>
  </tr>
  <tr><td class="label">${_(u"RAM")}:</td><td>${c.hc.image_memory}m</td></tr>
 </table>

 %if c.hc.hctype == 'native':
 <h3>${_(u"Native Client Information")}</h3>
  <table>
    <tr><td>${_(u"WLAN-SSID")}:</td><td>${c.hc.ssid}</td></tr>
  </table>
 %endif

 <h3>${_(u"On Nodes")}</h3>
 <ul>
 %for nodekey in c.hc.on_nodes:
  <li>${h.link_to(nodekey, h.url_for(controller='node',action='view',id=nodekey))}</li>
 %endfor
 </ul>

</%self:box>

