<%inherit file="../base.mako"/>
<%def name="title()">${_(u"Details of Node %s") % c.nodename}</%def>

<%def name="node_menu_style()">class="active"</%def>

<%namespace file="../base.mako" import="box" />
<%namespace file="../base.mako" import="hcsid_link_to_hcsid" />
<%namespace name="util" file="../util.mako" import="custulcond" />

<%self:box title='${_(u"Node Details of %s") % c.node.name}'>
  <table>
    <tr><td class="label">${_(u"Name")}:</td><td>${c.node.name}</td></tr>
    <tr><td class="label">${_(u"Description")}:</td><td>${c.node.description}</td></tr>
    <tr><td class="label">${_(u"State")}:</td><td>${c.nodestate['']}</td></tr>
  </table>
</%self:box>

<%self:box title='${_(u"List of available HCs")}'>
 <%util:custulcond ullist='${c.hcs}' args='hc'>
  <%def name="empty()">
   ${_("No HCs found on this node.")}
  </%def>
  ${h.link_to(hc.hcsid, h.url_for(controller='hc',action='show',id=hc.hcsid))}
 </%util:custulcond>
</%self:box>

<%self:box title='${_(u"List of running HCs")}'>
 %if len(c.node_runlist) > 0:
  <ul>
   %for [hc,vnc_port] in c.node_runlist:
   %if len(hc) >0:
    <li>
       ${hcsid_link_to_hcsid(hc)}
       %if vnc_port is not None:
         ${_(u"VNC-Port: %d" % vnc_port)}
       %endif
    </li>
   %endif
  %endfor
  </ul>
 %else:
  ${_(u"No HCs running on this node.")}
 %endif
</%self:box>

