<%inherit file="../base.mako"/>
<%def name="title()">${_(u"URL Details")}</%def>

<%def name="urllist_menu_style()">class="active"</%def>

<%namespace file="../base.mako" import="box" />
<%namespace file="../base.mako" import="name_link_to_urllist" />

<%namespace name="util" file="../util.mako" import="ifpaginate" />
<%namespace name="util" file="../util.mako" import="screendump" />

<%self:box title='${_(u"URL Details")}'>
 <h3>${_(u"Full URL")}</h3>
 ${c.url.url}

 <h3>${_(u"Contained in URL-Lists")}</h3>
 <%util:ifpaginate paginator="${c.urllist_paginator}">
  <ul>
    %for ul in c.urllist_paginator:
      <li> ${h.link_to(ul.name, h.url_for(controller="urllist",action="view",id=ul.id))} </li>
    %endfor
  </ul>
  <%def name="empty()">
    ${_(u"Not contained in any URL-List.")}
  </%def>
 </%util:ifpaginate>
 
 <h3>${_(u"Associated Results")}</h3>
 <%util:ifpaginate paginator="${c.visit_paginator}">
   <ul>
    %for r in c.visit_paginator:
     <li> ${h.link_to(r.date, h.url_for(controller='result',action='view_visit',id=r.id))} </li>
    %endfor
   </ul>
   <%def name="empty()">
     ${_(u"Not associated to any Result yet.")}
   </%def>
 </%util:ifpaginate>

 %if len(c.screendump_hcs) > 0:
 <h3>${_(u"Stored Screendumps")}</h3>
   <ul>
     %for hcsid in c.screendump_hcs:
       <%util:screendump urlid="${c.url.id}" hcsid="${hcsid}"/>
      %endfor
   </ul>
 %endif
</%self:box>

