<%inherit file="../base.mako"/>
<%def name="title()">${_(u"Details of URL List")}</%def>

<%def name="urllist_menu_style()">class="active"</%def>

<%namespace file="../base.mako" import="box" />

<%namespace name="util" file="../util.mako" import="ifpaginate" />

<%self:box title='${_(u"URL-List %s") % c.urllist.name}'>
 %if c.urllist.date:
  ${_(u"Created:")}
    <%
    import datetime
    date = c.urllist.date
    timestamp = date.strftime(_("%a, %d %b %Y %H:%M:%S"))
    context.write(str(timestamp))
    %>
  <br/>
 %endif
 %if c.urllist.comment:
  ${_(u"Comment") + ": %s" % c.urllist.comment}
  <br/>
 %endif

<h3>${_("URLs within this list:")}</h3>
 <%util:ifpaginate paginator="${c.url_paginator}">
 <ul>
  %for ul in c.url_paginator:
   <li> ${h.link_to(ul[0], h.url_for(controller="url",action="view",id=ul[1]))} ${h.link_to('['+_(u"Results")+']', h.url_for(controller="result",action='by_url',id=ul[1]))}
   </li>
  %endfor
 </ul>
 </%util:ifpaginate>
 <br />
${h.link_to(_("Delete URL-List"), h.url_for(controller='urllist',action='delete',id=c.urllist.id))}
</%self:box>

