<%def name="ifpaginate(paginator)">
  %if len(paginator):
    <p>${paginatehead(paginator)}</p>
    ${caller.body()}
    ${paginatefoot(paginator)}
  %else:
    ${caller.empty()}
  %endif
</%def>

<%def name="paginatehead(paginator)">
 ${paginator.pager('$link_first $link_previous $first_item to $last_item of $item_count $link_next $link_last')}
</%def>

<%def name="paginatefoot(paginator)">
 ${paginator.pager('~2~')}
</%def>

<%def name="custulcond(ullist)">
 %if ullist and len(ullist):
   <ul>
     %for ulli in ullist:
      <li>${caller.body(ulli)}</li>
     %endfor
   </ul>
 %else:
   ${caller.empty()}
 %endif
</%def>

<%def name="ulcond(ullist)">
 <%self:custulcond ullist="${ullist}" args="li">
  <%def name="empty()">
   ${caller.empty()}
  </%def>  <ul>
  ${li}
 </%self:custulcond>
</%def>

<%def name="screendump(urlid, hcsid)">
  <table class="screendump" border="1">
    <caption align="bottom">${hcsid}</caption>
    <tr><td>
      <a href='${h.url_for(controller="url", action="screendump", id=urlid, hcsid=hcsid+"/")}'>
         <img
           src='${h.url_for(controller="url", action="screendump", id=urlid, hcsid=hcsid+"/")}'
           height="120" width="160"/></a></td></tr>
  </table>
</%def>
