<%inherit file="../base.mako"/>
<%def name="title()">${_(u"List of HoneyClients")}</%def>

<%def name="hc_menu_style()">class="active"</%def>

<%namespace file="../base.mako" import="box" />
<%namespace file="../base.mako" import="name_link_to_node" />
<%namespace file="../base.mako" import="hcsid_link_to_hcsid" />
<%namespace file="../base.mako" import="hc_icon" />
<%namespace name="util" file="../util.mako" import="ifpaginate" />

<%self:box title='${_(u"List of Virtual HoneyClients")}'>
 <%util:ifpaginate paginator='${c.paginator}'>
 <table class="mw_table" style="width:100%">
  <tbody>
   <tr>
     <th width="1">${_(u"Icon")}</th>
     <th>${_(u"hcsid")}</th>
     <th>${_("Name")}</th>
     <th>${_("Description")}</th>
     <th>${_("On Nodes")}</th>
   </tr>
  %for hc in c.paginator:
    <tr>
        <td>${hc_icon(hc)}</td>
        <td>${hcsid_link_to_hcsid(hc.hcsid)}</td>
        <td>${hc.name}</td>
        <td>${hc.description}</td>
        <td>
             %if len(hc.on_nodes) >1:
              <ul>
              %for n in hc.on_nodes:
               <li>${name_link_to_node(n)}</li>
              %endfor
              </ul>
            %else:
             ${name_link_to_node(hc.on_nodes[0])}
            %endif
        </td>
    </tr>
  %endfor
  </tbody>
 </table>
 <%def name="empty()">
  ${_(u"No HoneyClients are known to Master.")}
 </%def>
 </%util:ifpaginate>
</%self:box>

 <%util:ifpaginate paginator='${c.native_paginator}'>
 <%self:box title='${_(u"List of Native HoneyClients")}'>
 <table class="mw_table" style="width:100%">
  <tbody>
   <tr><th width="1">${_(u"Icon")}</th>
       <th>${_(u"hcsid")}</th>
       <th>${_(u"Name")}</th>
       <th>${_(u"Description")}</th>
       <th>${_(u"On Nodes")}</th>
       <th>${_(u"SSID")}</th>
  </tr>
  %for hc in c.native_paginator:
    <tr>
        <td><div id="os_browser_icon"><img src="/img/hc_native_mobile.png"/></div></td>
        <td>${hcsid_link_to_hcsid(hc.hcsid)}</td>
        <td>${hc.name}</td>
        <td>${hc.description}</td>
        <td>
             %if len(hc.on_nodes) >1:
              <ul>
              %for n in hc.on_nodes:
               <li>${name_link_to_node(n)}</li>
              %endfor
              </ul>
            %else:
             ${name_link_to_node(hc.on_nodes[0])}
            %endif
        </td>
        <td>${hc.ssid}</td>
    </tr>
  %endfor
  </tbody>
 </table>
 </%self:box>
 <%def name="empty()">
  <!-- ${_(u"No Native HoneyClients are known to Master.")} -->
 </%def>
 </%util:ifpaginate>


