<%inherit file="../base.mako"/>
<%def name="title()">${_(u"Start Quick Scan")}</%def>

<%def name="scan_menu_style()">class="active"</%def>

<%namespace file="../base.mako" import="box" />
<%namespace file="../base.mako" import="hcsid_link_to_hcsid" />
<%namespace file="../base.mako" import="name_link_to_node" />

<%self:box title='${_(u"Manual Scan")}'>
 ${h.form(h.url_for(controller='scan', action='manualscan'), method="post")}
 <table>
   <tr>
     <td class="label">${_(u"URL (optional)")}*:</td>
     <td>${h.text(name="manualurl", id="manualurl")}</td>
   </tr>
   <tr>
     <td class="label">${_(u" -- or -- URL list (optional)")}*:</td>
     <td>${h.text(name="manualurllist", id="manualurllist")}</td>
   </tr>
   <tr>
     <td class="label">${_(u"Active Time Frame")}*:</td>
     <td>${h.select('time_frame',
                    id='time_frame',
                    selected_values=[3],
                    options=[1,2,3,4,5,10,15,20,30])}
         ${_(u"minutes")}
     </td>
   </tr>
   <tr>
     <td class="label">${_(u"HoneyClient")}:</td>
     <td>${h.select('vm', selected_values=[],
                   options=c.available_vms,
                   multiple=False,
                   size=1)}
     </td>
   </tr>
   <tr>
     <td></td>
     <td>${h.submit(name="manualbutton",value=_(u"Start Manual Scan"))}</td>
   </tr>
 </table>
 ${h.form_end()}
</%self:box>

