<%inherit file="../base.mako"/>
<%def name="title()">${_(u"URL Lists")}</%def>

<%def name="urllist_menu_style()">class="active"</%def>

<%namespace file="../base.mako" import="box" />
<%namespace file="../base.mako" import="name_link_to_urllist" />
<%namespace name="util" file="../util.mako" import="ifpaginate" />

<%self:box title="${_(u'Add URL List')}">
<div>
 <h2>${_("Manually enter URLs")}</h2>
 <%self:columnsection>
 ${h.form_start(h.url_for(controller='urllist', action='create'), method="post")}
  ${h.field(_(u"Name")+"*", h.text(name='URLListName'))}
  ${h.field(_(u"Comment"), h.text(name='URLListComment'))}
 <br>
  ${h.field(_(u"URLs")+"*", h.textarea(name='URLsText', rows=10))}
  ${h.field(field=h.submit(value=_(u"Create URL List"), name='submit'))}
 ${h.form_end()}
 </%self:columnsection>

 <h2>${_(u"Upload URL List")}</h2>
 <%self:columnsection>
 ${h.form_start(h.url_for(controller='urllist', action='upload'), multipart=True, method="post")}
  ${h.field(_(u"Name")+"*", h.text(name='URLListUploadName'))}
  ${h.field(_(u"Comment"), h.text(name='URLListUploadComment'))}
  ${h.field(_(u"File")+"*",h.file('URLListFile'))}
  ${h.field(field=h.submit(value=_(u"Upload File"), name='submit_file'))}
 ${h.form_end()}
 <small>
   ${_("Note that upload and analysis of big files can take up to several minutes.")}<br />
   ${_("It is possible to upload gzip'ed files.")}<br />
 </small>
 </%self:columnsection>

 </div>
 <br clear="all" />
</%self:box>

<%self:box title="${_('Available URL Lists')}">
 <%util:ifpaginate paginator='${c.urllist_paginator}'>
  <table class="mw_table">
   <th>${_(u"Name")}</th><th>${_(u"# URLs")}</th>
   %for ul in c.urllist_paginator:
     <tr>
       <td>${name_link_to_urllist(ul)}</td>
       <td>${_(u"with %d URLs") % ul.numurls}</td>
      </tr>
    %endfor
  </table>
 <%def name="empty()">
  ${_(u"No URL-Lists defined, yet.")}
 </%def>
 </%util:ifpaginate>
</%self:box>
